library verilog;
use verilog.vl_types.all;
entity signextender12_16 is
    port(
        src             : in     vl_logic_vector(11 downto 0);
        result          : out    vl_logic_vector(15 downto 0)
    );
end signextender12_16;
